	org 100h
	use16

	mov ax,3
	int 10h
	
	mov cx,2048
	mov dx,fnt8x8
	mov bh,3
	call getfont

	mov cx,3584
	mov dx,fnt8x14
	mov bh,2
	call getfont
;	ret
	mov cx,4096
	mov dx,fnt8x16
	mov bh,6
;get font
;http://www.techhelpmanual.com/166-int_10h_1130h__get_current_character_generator_info.html
; Expects: AX    1130H
;          BH    request code: 00H = get addr at INT 1fH vector
;                              01H = get addr at INT 43H vector
;                              02H = get addr of ROM 8x14 font
;                              03H = get addr of ROM 8x8 font
;                              04H = get addr of ROM 8x8 font (2nd half)
;                              05H = get addr of ROM 9x14 alternate font
;                       (VGA)  06H = get addr of ROM 8x16 font
;                       (VGA)  07H = get addr of ROM 8x16 alternate font
;          ──────────────────────────────────────────────────────────────────
; Returns: CX    height (scan-lines) / bytes per character (from 0040:0085)
;          DL    screen rows (from 0040:0084)
;          ES:BP address of requested font-definition table
getfont:
	mov [cs:f_s],cx
	mov [cs:fn],dx

;       mov bh,3
	mov ax,1130h
	int 10h

	push es
	push bp

	push cs
	pop ds
;createfile
	mov ah,3Ch
	mov dx,[cs:fn];fnt8x8
	xor cx,cx
	int 21h
	jnc contfile
;error handle
prerr:
	push cs
	pop ds
	mov dx,mes
	mov ax,0924h
	int 21h
	ret
contfile:
	mov bx,ax
	mov ah,40h
	mov cx,[cs:f_s];2048
	pop dx
	pop ds
	int 21h
	jc prerr
;       jnc contclose
;       ret
contclose:
	mov ah,3Eh
	int 21h
	ret
f_s: dw 0
fn:dw 0
mes: db "file error!$",0
fnt8x8:
	db "8x8.fnt",0
fnt8x14:
	db "8x14.fnt",0
fnt8x16:
	db "8x16.fnt",0